# Class RefreshToken | EchoHub Documentation

# Class RefreshToken

Namespace
  EchoHub.Core.Models

Assembly
  EchoHub.Core.dll

    public class RefreshToken

Inheritance
  object
  RefreshToken

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### RefreshToken()

    public RefreshToken()

## Properties

### CreatedAt

    public DateTimeOffset CreatedAt { get; set; }

#### Property Value

DateTimeOffset

### ExpiresAt

    public DateTimeOffset ExpiresAt { get; set; }

#### Property Value

DateTimeOffset

### Id

    public Guid Id { get; set; }

#### Property Value

Guid

### IsActive

    public bool IsActive { get; }

#### Property Value

bool

### IsExpired

    public bool IsExpired { get; }

#### Property Value

bool

### IsRevoked

    public bool IsRevoked { get; }

#### Property Value

bool

### RevokedAt

    public DateTimeOffset? RevokedAt { get; set; }

#### Property Value

DateTimeOffset?

### TokenHash

    public required string TokenHash { get; set; }

#### Property Value

string

### User

    public User? User { get; set; }

#### Property Value

User

### UserId

    public Guid UserId { get; set; }

#### Property Value

Guid